package com.javacodegeeks.jcgquartzapp;

import org.quartz.jobs.FileScanListener;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class JcgFileScanListener implements FileScanListener {

  private final static Logger logger = LoggerFactory.getLogger(JcgFileScanListener.class);

  public static final String LISTENER_NAME = "jcgFileScanListenerName";

  public void fileUpdated(String fileName) {
    logger.info("File update to {}", fileName);
  }

  public String getName() {
    return LISTENER_NAME;
  }
}
